## Overview
BondoApp is an application to document transactions (income and expenses) implemented using native Kotlin and Android Views API.

## Libraries
- CameraX
- Vico
- Apache POI
- Retrofit
- Room
- GSON
- etc. (take a look at ./app/build.gradle.kts)

## Screenshots
### Splash
![splash](screenshots/splash.png)

### Log In
![login](screenshots/login.png)

### Empty Transactions
![empty-transactions](screenshots/empty-transactions.png)

### Transactions
![transactions](screenshots/transactions.png)

### Scan
![scan](screenshots/scan.png)

### Chart
![chart](screenshots/chart.png)

### Chart Horizontal
![chart-horizontal](screenshots/chart-horizontal.png)

### Settings
![settings](screenshots/settings.png)

### Tweebs
![tweebs](screenshots/tweebs.png)

## Task Distribution
| ID       | Name               | Tasks                                                                                                     |
|----------|--------------------|-----------------------------------------------------------------------------------------------------------|
| 13521056 | Daniel Sitanggang  | Header and navbar, CRUD transactions, Scan page, Twibbon page, Add/edit transactions                      | 
| 13521096 | Noel Simbolon      | UI design, Transactions page, Chart page, Google Maps integration, GMail integration, Spreadsheet export  | 
| 13521163 | Zidane Firzatullah | Login + Logout + Splash, JWT background service, Network sensing, Broadcast receiver (randomize)          |

## Workload (preparation and implementation)
| ID       | Name               | Workload  |
|----------|--------------------|-----------|
| 13521056 | Daniel Sitanggang  | ~30 hours | 
| 13521096 | Noel Simbolon      | ~30 hours | 
| 13521163 | Zidane Firzatullah | ~30 hours |
