package com.saa.bondoapp.data.db

import android.content.Context
import androidx.room.Database
import androidx.room.Room
import androidx.room.RoomDatabase
import com.saa.bondoapp.data.db.dao.CredentialsDao
import com.saa.bondoapp.data.db.entities.Credentials

@Database(entities = [Credentials::class], version = 1)
abstract class InMemoryDatabase : RoomDatabase() {
    abstract fun credentialsDao(): CredentialsDao

    companion object {
        @Volatile
        private var instance: InMemoryDatabase? = null
        private val LOCK = Any()

        operator fun invoke(context: Context) = instance ?: synchronized(LOCK) {
            instance ?: buildDatabase(context).also {
                instance = it
            }
        }

        private fun buildDatabase(context: Context) =
            Room.inMemoryDatabaseBuilder(
                context.applicationContext,
                InMemoryDatabase::class.java
            ).build()
    }
}