package com.saa.bondoapp.data.db.entities

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query

@Dao
interface TransactionDao {

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun upsert(transaction: Transaction): Long

    @Query("SELECT * FROM `transaction` WHERE id = :id and user = :user;")
    fun get(id: Int, user: Long = CURRENT_USER_NIM): Transaction

    @Query("SELECT * FROM `transaction` WHERE user = :user;")
    fun getAll(user: Long = CURRENT_USER_NIM): List<Transaction>

    @Query("DELETE FROM `transaction` WHERE id = :id and user = :user;")
    fun delete(id: Int, user: Long = CURRENT_USER_NIM): Int

    @Query("DELETE FROM `transaction` WHERE user = :user;")
    fun deleteAll(user: Long = CURRENT_USER_NIM): Int
}