package com.saa.bondoapp.network

import com.saa.bondoapp.network.service.AuthenticationService
import com.saa.bondoapp.network.service.ScanBillService
import okhttp3.OkHttpClient
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory
import java.util.concurrent.TimeUnit


object VercelApiClient {

    private val BASE_URL = "https://pbd-backend-2024.vercel.app"

    private val retrofit: Retrofit by lazy {
        val okHttpClient = OkHttpClient().newBuilder()
            .connectTimeout(10, TimeUnit.SECONDS)
            .readTimeout(10, TimeUnit.SECONDS)
            .writeTimeout(60, TimeUnit.SECONDS)
            .build()

        Retrofit.Builder()
            .baseUrl(BASE_URL)
            .client(okHttpClient)
            .addConverterFactory(GsonConverterFactory.create())
            .build()
    }

    val authenticationApiService: AuthenticationService by lazy {
        retrofit.create(AuthenticationService::class.java)
    }


    val scanBillApiService: ScanBillService by lazy {
        retrofit.create(ScanBillService::class.java)
    }

}