package com.saa.bondoapp.network.service

import com.saa.bondoapp.dto.JwtCheckResult
import com.saa.bondoapp.dto.LoginResult
import okhttp3.RequestBody
import retrofit2.Call
import retrofit2.http.Body
import retrofit2.http.Header
import retrofit2.http.Headers
import retrofit2.http.POST

interface AuthenticationService {

    @Headers("Content-Type: application/json")
    @POST("api/auth/login")
    fun login(@Body body: RequestBody): Call<LoginResult>

    @POST("api/auth/token")
    fun checkJwt(@Header("Authorization") authorization: String): Call<JwtCheckResult>

}