package com.saa.bondoapp.util

import android.app.Activity
import android.graphics.Bitmap
import android.text.Editable
import android.view.View
import android.widget.Toast

fun toast(activity: Activity, message: String) {
    activity.runOnUiThread(Runnable {
        Toast.makeText(activity, message, Toast.LENGTH_LONG).show()
    })
}

fun fitBitmapToView(view: View, bitmap: Bitmap): Bitmap {
    val targetWidth = view.width
    val targetHeight = view.height

    // Calculate the aspect ratio of the original bitmap
    val originalWidth = bitmap.width ?: 0
    val originalHeight = bitmap.height ?: 0
    val widthRatio = targetWidth.toFloat() / originalWidth
    val heightRatio = targetHeight.toFloat() / originalHeight
    val scaleFactor = maxOf(widthRatio, heightRatio)

    // Scale the bitmap while maintaining aspect ratio
    val scaledWidth = (originalWidth * scaleFactor).toInt()
    val scaledHeight = (originalHeight * scaleFactor).toInt()
    val scaledBitmap = Bitmap.createScaledBitmap(bitmap, scaledWidth, scaledHeight, true)

    return scaledBitmap
}

fun String.toEditable(): Editable =  Editable.Factory.getInstance().newEditable(this)
